repmgr service unpause

# repmgr service unpause

Instruct all &repmgrd; instances in the replication cluster to resume failover operations

## Description

This command can be run on any active node in the replication cluster to instruct all running &repmgrd; instances to "unpause" (following a previous execution of ) and resume normal failover/monitoring operation.

It's important to wait a few seconds after restarting PostgreSQL on any node before running `repmgr service pause`, as the &repmgrd; instance on the restarted node will take a second or two before it has updated its status.

## Prerequisites

PostgreSQL must be accessible on all nodes (using the `conninfo` string shown by `repmgr cluster show`) from the node where `repmgr service pause` is executed.

## Execution

`repmgr service unpause` can be executed on any active node in the replication cluster. A valid `repmgr.conf` file is required. It will have no effect on nodes which are not already paused.

## Example

    $ repmgr -f /etc/repmgr.conf service unpause
    NOTICE: node 1 (node1) unpaused
    NOTICE: node 2 (node2) unpaused
    NOTICE: node 3 (node3) unpaused

## Options

`--dry-run`

  Check if nodes are reachable but don't unpause &repmgrd;.

## Exit codes

One of the following exit codes will be emitted by `repmgr service unpause`:

`SUCCESS (0)`

  &repmgrd; could be unpaused on all nodes.

`ERR_REPMGRD_PAUSE (26)`

  &repmgrd; could not be unpaused on one or mode nodes.

## See also

, , , ,